<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;


class Authentication
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure(\Illuminate\Http\Request): (\Illuminate\Http\Response|\Illuminate\Http\RedirectResponse)  $next
     * @return \Illuminate\Http\Response|\Illuminate\Http\RedirectResponse
     */
    public function handle(Request $request, Closure $next)
    {
        if (($request->is('dashboard/biodata') || ($request->is('dashboard/biodata/update') && $request->method() === 'PUT')) && $request->session()->get('role') === 'Pengguna') {
            return $next($request);
        } elseif ($request->session()->get('role') === 'Administrator') {
            return $next($request);
        }
        return redirect('login')->with('response', ['status' => 400, 'message' => 'Anda tidak memiliki akses!']);
    }
}
